<!--
   Licensed to the Apache Software Foundation (ASF) under one
   or more contributor license agreements.  See the NOTICE file
   distributed with this work for additional information
   regarding copyright ownership.  The ASF licenses this file
   to you under the Apache License, Version 2.0 (the
   "License"); you may not use this file except in compliance
   with the License.  You may obtain a copy of the License at
     http://www.apache.org/licenses/LICENSE-2.0
   Unless required by applicable law or agreed to in writing,
   software distributed under the License is distributed on an
   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
   KIND, either express or implied.  See the License for the
   specific language governing permissions and limitations
   under the License.
-->

# 0.32.0 (alpha)

- NO-ISSUE - Improved localization for Stunner BPMN Editor
- NO-ISSUE - Add DMN 1.5 specification files to `packages/dmn-marshaller`
- [kie-issues#180](https://github.com/apache/incubator-kie-issues/issues/180) - On DMN Editor's Boxed Expression Editor, when resizing Context/Invocation entry info cells, minWidths are getting messy
- [kie-issues#510](https://github.com/apache/incubator-kie-issues/issues/510) - Content assist in DMN Editor doesn't allow true/false without major changes
- [kie-issues#420](https://github.com/apache/incubator-kie-issues/issues/420) - Boxed expression component context menu renders both selected and the chosen cell menu
- [kie-issues#159](https://github.com/apache/incubator-kie-issues/issues/159) - Colorize variable names in FEEL inputs on DMN Editor's Boxed Expression Editor
- [kie-issues#589](https://github.com/apache/incubator-kie-issues/issues/589) - Monaco-editor doesn't apply colorisation in DMN Editor
- [kie-issues#590](https://github.com/apache/incubator-kie-issues/issues/590) - In Boxed Expression Editor, Insert N columns/rows does nothing

# 0.31.0 (alpha)

- [kie-issues#183](https://github.com/apache/incubator-kie-issues/issues/183) - Dead keys (E.g., ˜ˆ´¨) are not triggering edit mode correctly on BeeTable cells
- [kie-issues#184](https://github.com/apache/incubator-kie-issues/issues/184) - It shouldn't be possible to mutate the selection when selecting text inside a BeeTable cell
- [kie-issues#216](https://github.com/apache/incubator-kie-issues/issues/216) - DMN's Editor Boxed Expression Editor: It's not possible to delete a table row in Safari
- [kie-issues#48](https://github.com/apache/incubator-kie-issues/issues/48) - Implement DMN 1.3 new keywords support
- [kie-issues#168](https://github.com/apache/incubator-kie-issues/issues/168) - In DMN Editor's Boxed Expression Editor Context Menu, make possible to add N rows/columns with a single click
- [kie-issues#365](https://github.com/apache/incubator-kie-issues/issues/365) - Top-left cell data is getting lost after Cutting and Pasting to the DMN Editor's Boxed Expression Editor
- [kie-issues#372](https://github.com/apache/incubator-kie-issues/issues/372) - DMN Editor: Removing GWT-based autocompletion feature
- [kie-issues#353](https://github.com/apache/incubator-kie-issues/issues/353) - DMN Editor Add documentation to every FEEL function proposed by code completion
- [kie-issues#373](https://github.com/apache/incubator-kie-issues/issues/373) - DMN's Decision Table: Changing the column data type doens't work after changing Decision node type
- [kie-issues#375](https://github.com/apache/incubator-kie-issues/issues/375) - DMN Editor: Context Menu is empty in List expression header
- [kie-issues#376](https://github.com/apache/incubator-kie-issues/issues/376) - DMN Runner context menu options are not appropriate regarding the selected cell
- [kie-issues#382](https://github.com/apache/incubator-kie-issues/issues/382) - [DMN Editor] Superfluous newline in multi-cell copy/paste

# 0.30.0 (alpha)

- [kie-issues#252](https://github.com/apache/incubator-kie-issues/issues/252) - A Decision Table's single output column header should be merged
- [kie-issues#288](https://github.com/apache/incubator-kie-issues/issues/288) - [DMN Editor] the dmn:literalExpression id must not be modified on editing some text
- [kie-issues#282](https://github.com/apache/incubator-kie-issues/issues/282) - [DMN Editor] Default output value disappears
- [kie-issues#287](https://github.com/apache/incubator-kie-issues/issues/287) - After deleting a Decision Table row, cells are wrongly selected
- [kie-issues#114](https://github.com/apache/incubator-kie-issues/issues/114) - Temporarily disable `fetch classes` functionality of Import Java Classes
- [kie-issues#289](https://github.com/apache/incubator-kie-issues/issues/289) - Remove @KieActivator annotation used in Import Java Classes
- [kie-issues#272](https://github.com/apache/incubator-kie-issues/issues/272) - Context Menu should always choose the best strategy to render, based on the available space of its container element
- [kie-issues#312](https://github.com/apache/incubator-kie-issues/issues/312) - kie-tools#1666 breaks the DMN Editor for all DMNs that relies on JSON schema draft 4 to generate the DMN Runner table and form
- [kie-issues#309](https://github.com/apache/incubator-kie-issues/issues/309) - User is not able to specify DMN Range constraint for `date and time` and `years and months duration` custom type
- [kie-issues#318](https://github.com/apache/incubator-kie-issues/issues/318) - Data Type for Invocation and Decision Table merged output columns is not updated
- [kie-issues#319](https://github.com/apache/incubator-kie-issues/issues/319) - On the DMN Editor, Expression properties are not correctly persisted
- [kie-issues#326](https://github.com/apache/incubator-kie-issues/issues/326) - DMN Editor's Properties Panel changing element selection when blurring out of changed inputs
- [kie-issues#259](https://github.com/apache/incubator-kie-issues/issues/259) - Make DMN Editor's Boxed Expression Editor Context Menu show only relevant operations for specific cells.
- [kie-issues#344](https://github.com/apache/incubator-kie-issues/issues/344) - DMN Editor: Name and Data type popover menu visual misalignments in form labels
- [kie-issues#347](https://github.com/apache/incubator-kie-issues/issues/347) - DMN Editor: Duplicate is not working for a relation
- [kie-issues#345](https://github.com/apache/incubator-kie-issues/issues/345) - DMN Editor: Sort function is missing in autocompletions
- [kie-issues#348](https://github.com/apache/incubator-kie-issues/issues/348) - DMN Editor: Function header context menus are empty

# 0.29.0 (alpha)

- [kie-issues#113](https://github.com/apache/incubator-kie-issues/issues/113) - Remove unnecessary rendering calls to DMN Editor's Boxed Expression Editor
- [kie-issues#163](https://github.com/apache/incubator-kie-issues/issues/163) - In DMN Editor's Boxed Expression Editor, long names are not being truncated in DecisionTable sub-headers and in the name of root expressions
- [kie-issues#255](https://github.com/apache/incubator-kie-issues/issues/255) - A Not-collect Hit Policy should clear aggregation type
- [kie-issues#250](https://github.com/apache/incubator-kie-issues/issues/250) - Width changes are not correctly persisted
- [kie-issues#258](https://github.com/apache/incubator-kie-issues/issues/258) - Use data type current value when opening DMN constraint modal
- [kie-issues#222](https://github.com/apache/incubator-kie-issues/issues/222) - When editing a BeeTable cell with selected text, the selection is lost when mouse hovers in or out of it
- [kie-issues#210](https://github.com/apache/incubator-kie-issues/issues/210) - Keyboard shortcuts stop working after blurring out of some components on the BeeTable
- [kie-issues#114](https://github.com/apache/incubator-kie-issues/issues/114) - Part 2: Temporary comment code no more supported by API
- [kie-issues#278](https://github.com/apache/incubator-kie-issues/issues/278) - Duplicate row should not copy the inputEntry id of that row

# 0.28.1 (alpha)

- [KOGITO-9105](https://issues.redhat.com/browse/KOGITO-9105) - Add KIE prefix to `displayName` of new VS Code extensions

# 0.28.0 (alpha)

- [kie-issues#102](https://github.com/apache/incubator-kie-issues/issues/102) - BPMN Editor: Zooming in/out does not update the toolbox for correct size by @inodeman in https://github.com/apache/incubator-kie-tools/pull/1470
- [kie-issues#139](https://github.com/apache/incubator-kie-issues/issues/139) - BPMN Editor breaking if `bpmn2` file lacks `id` by @pefernan in https://github.com/apache/incubator-kie-tools/pull/1523
- [kie-issues#117](https://github.com/apache/incubator-kie-issues/issues/117) - BPMN Editor: Enable auto population of DMN fields in Business Rule Task by @inodeman in https://github.com/apache/incubator-kie-tools/pull/1524
- [KOGITO-8946](https://issues.redhat.com/browse/KOGITO-8946) - Missing structureref type for service task in VSCode BPMN editor by @hasys in https://github.com/apache/incubator-kie-tools/pull/1542
- [kie-issues#42](https://github.com/apache/incubator-kie-issues/issues/42) - DMN Editor: Repetitive opening of properties panel for List expression by @danielzhe in https://github.com/apache/incubator-kie-tools/pull/1502
- [kie-issues#44](https://github.com/apache/incubator-kie-issues/issues/44) - DMN Editor: Autolayout is broken for decision services by @danielzhe in https://github.com/apache/incubator-kie-tools/pull/1495
- [kie-issues#110](https://github.com/apache/incubator-kie-issues/issues/110) - Removing \"Supported by Red Hat\" logo in DMN Editor Documentation Tab by @yesamer in https://github.com/apache/incubator-kie-tools/pull/1561
- [kie-issues#87](https://github.com/apache/incubator-kie-issues/issues/87) - Refactor the React-based Boxed Expression Component to be able to delete the GWT-based one by @tiagobento in https://github.com/apache/incubator-kie-tools/pull/1562
- [kie-issues#112](https://github.com/apache/incubator-kie-issues/issues/112) - DMN Editor - JavaAutocompletion module is not compatible with Java Languages Extension >= `1.17.0` by @yesamer in https://github.com/apache/incubator-kie-tools/pull/1591

# 0.26.0 (alpha)

- [kie-issues#6](https://github.com/apache/incubator-kie-issues/issues/6) - Bump `gwt` version to `2.10.0` version in `stunner-editors` module
- [KOGITO-6974](https://issues.redhat.com/browse/KOGITO-6974) - Stunner Editors - Line control points are enabled in view only mode, but they should not
- [KOGITO-8119](https://issues.redhat.com/browse/KOGITO-8119) - [DMN Editor] Import Java classes thrown an exception in Windows
- [DROOLS-3703](https://issues.redhat.com/browse/DROOLS-3703) - Disable Enumeration and Range constraint for Any DataType
- [kie-issues#28](https://github.com/apache/incubator-kie-issues/issues/28) - DMN Editor - Three undos are required to remove a newly added node
- [kie-issues#46](https://github.com/apache/incubator-kie-issues/issues/46) - Disable OK button properly in DMN Data Type Constraint modal

# 0.25.0 (alpha)

- [KOGITO-8077](https://issues.redhat.com/browse/KOGITO-8077) - Apache KIE Tools Security updates (3rd round)

# 0.24.0 (alpha)

- _(No new features)_

# 0.23.0 (alpha)

- [KOGITO-7797](https://issues.redhat.com/browse/KOGITO-7797) - [DMN Designer] Improving \"Import Java Classes\" button's tooltip message

# 0.22.0 (alpha)

- _(No new features)_

# 0.21.0 (alpha)

- [KOGITO-7375](https://issues.redhat.com/browse/KOGITO-7375) - [DMN Designer] Import Java Classes Fix cases with special characters in PATH
